<div class="file-preview-toolbar d-flex">
  <span  class="back-arrow">
    <i *ngIf="!isGuest" class="las la-arrow-left" [routerLink]="['/home']"
    [routerLinkActive]="['active']" routerLinkActive="router-link-active"
    [routerLinkActiveOptions]="{exact:true}"></i>
  </span>
  <span class="file-name flex-grow-1">{{currentDoc?.name}}</span>
  <span *ngIf="currentDoc.isRestricted" (click)="downloadDocument()" class="back-arrow">
    <i class="las la-arrow-down"></i>
  </span>
</div>
<ng-container>
  <ngx-extended-pdf-viewer [src]="documentUrl" [showToolbar]="true" [showSidebarButton]="true"
  [showFindButton]="true" height="91vh" [showPagingButtons]="true" [showZoomButtons]="true" [showPresentationModeButton]="true"
  [showOpenFileButton]="false" [showPrintButton]="false" [showDownloadButton]="false" [showBookmarkButton]="false"
  [showSecondaryToolbarButton]="true" [showRotateButton]="true" [showHandToolButton]="true" [showScrollingButton]="true"
  [showSpreadButton]="false" [showPropertiesButton]="false" [useBrowserLocale]="false">
</ngx-extended-pdf-viewer>

<ng-template #customCheckboxZoomToolbar>
  <div id="toolbarViewer">
    <div [class.invisible]="false" id="toolbarViewerMiddle">
      <pdf-toggle-sidebar></pdf-toggle-sidebar>
      <pdf-page-number></pdf-page-number>
      <pdf-zoom-out></pdf-zoom-out>
      <pdf-zoom-in></pdf-zoom-in>
      <pdf-zoom-dropdown></pdf-zoom-dropdown>
      <pdf-rotate-page></pdf-rotate-page>
      <div class="float:right">
        <pdf-toggle-secondary-toolbar></pdf-toggle-secondary-toolbar>
      </div>
    </div>
  </div>
  </ng-template>
<div class="loading-shade" *ngIf="isLoading">
  <mat-spinner></mat-spinner>
</div>
</ng-container>
<div class="loading-shade" *ngIf="isLoading">
<mat-spinner></mat-spinner>
</div>
